<template>
  <div id="Form-Product">
    <section id="product-details">
      <article class="product image">
        <div class="my-8">
          <image-uploader
            :preview="true"
            :className="[
              'fileinput',
              { 'fileinput--loaded': product.hasImage }
            ]"
            capture="environment"
            :debug="1"
            doNotResize="gif"
            :autoRotate="true"
            outputFormat="verbose"
            @input="setImage"
          ></image-uploader>
        </div>
      </article>
      <article class="product-info">
        <p>
          <v-text-field
            type="text"
            class="name-input"
            label="Introduce el nombre del producto"
            v-model="product.name"
          ></v-text-field>
        </p>
        <p>
          <v-text-field
            type="number"
            class="price-input"
            placeholder="Introduce el precio del producto"
            v-model="product.price"
          ></v-text-field>
        </p>
        <p>
          <v-col class="d-flex" cols="12" sm="6">
            <v-select v-model="product.category" :items="items" label="Categorias" dense></v-select>
          </v-col>
        </p>
        <p>
          <v-text-field class="description" v-model="product.description" label="descripcion"></v-text-field>
        </p>
        <p>
          <button class="addProduct" @click="saveNewProduct">AÑADIR</button>
        </p>
      </article>
    </section>
  </div>
</template>

<script>
import ImageUploader from 'vue-image-upload-resize'
export default {
  name: 'FormAddNewProduct',
  components: {
    ImageUploader
  },
  props: {
    items: {
      propType: Array,
      required: true
    },
    idActualUser: String
  },
  data() {
    return {
      product: {
        name: ' ',
        hasImage: false,
        image: ' ',
        price: ' ',
        category: ' ',
        description: ' ',
        id_prop: this.idActualUser,
        date_create: new Date().toLocaleString()
      }
    }
  },

  methods: {
    setImage(output) {
      this.product.hasImage = true
      this.product.image = output
    },

    saveNewProduct() {
      this.$emit('upload-new-product', this.product)
    }
  }
}
</script>

<style scoped>
#product-details {
  display: flex;
  justify-content: space-around;
}
</style>
